Version 50.0
~~~~~~~~~~~~

Updated Translations
 * Thai  (Aefgh Threenine)

Version 50.rc
~~~~~~~~~~~~~

Our various translator communities have been very busy this cycle, much
thanks to all of them, as well as to Automeris naranja, Hari Rana, luzpaz,
Maximiliano, metamuffin, nina, and Patrick Griffis, for the patches they
provided.

New Translations
 * Cornish  (Flynn Peck)
 * Uighur  (Abduqadir Abliz)

Updated Translations
 * Basque  (Asier Saratsua Garmendia)
 * Brazilian Portuguese  (Juliano de Souza Camargo)
 * British English  (Bruce Cowan)
 * Bulgarian  (twlvnn kraftwerk)
 * Catalan  (Victor Dargallo)
 * Chinese (China)  (luming zh)
 * Chinese (Taiwan)  (Chao-Hsiung Liao, Yi-Jyun Pan)
 * Czech  (Daniel Rusek)
 * Danish  (Ask Hjorth Larsen)
 * Dutch  (Nathan Follens)
 * Finnish  (Jiri Grönroos)
 * French  (Julien Humbert, Lucien Ouoba)
 * Galician  (Fran Diéguez)
 * Georgian  (Ekaterine Papava)
 * German  (Froschi, Lenny Angst)
 * Greek  (Dimitris Spentzos, Efstathios Iosifidis)
 * Hebrew  (Yaron Shahrabani)
 * Hungarian  (Balázs Úr)
 * Indonesian  (Andika Triwidada)
 * Japanese  (小山田 純 - Oyamada Jun)
 * Kazakh  (Baurzhan Muftakhidinov)
 * Korean  (DaeHyun Sung)
 * Lithuanian  (Aurimas Aurimas Černius)
 * Nepali  (Pawan Chitrakar)
 * Occitan  (Quentin PAGÈS)
 * Persian  (Danial Behzadi)
 * Polish  (Victoria)
 * Portuguese  (Hugo Carvalho)
 * Romanian  (Antonio Marin)
 * Russian  (Artur S0)
 * Serbian  (Мирослав Николић)
 * Serbian (Latin)  (Милош Поповић)
 * Slovenian  (Martin)
 * Spanish  (Daniel Mustieles)
 * Swedish  (Anders Jonsson)
 * Turkish  (Emin Tufan Çetin, Sabri Ünal)
 * Ukrainian  (Yuri Chornoivan)

Version 49.0
~~~~~~~~~~~~

New Translations
 * Interlingua  (Emilio Sepúlveda)

Updated Translations
 * Basque  (Asier Saratsua Garmendia)
 * British English  (Andi Chandler)
 * Catalan  (Francesc Busquets)
 * Chinese (China)  (luming zh)
 * Czech  (Daniel Rusek)
 * Danish  (Ask Hjorth Larsen)
 * Dutch  (Nathan Follens)
 * Esperanto  (Kristjan SCHMIDT)
 * Finnish  (Jiri Grönroos)
 * Galician  (Francisco Diéguez Souto)
 * Georgian  (Ekaterine Papava)
 * German  (Froschi)
 * Hungarian  (Balázs Úr)
 * Japanese  (Jun Oyamada)
 * Korean  (DaeHyun Sung)
 * Lithuanian  (Aurimas Aurimas Černius)
 * Spanish  (Daniel Mustieles)
 * Swedish  (Anders Jonsson)
 * Turkish  (Sabri Ünal)
 * Ukrainian  (Yuri Chornoivan)

Version 49.rc
~~~~~~~~~~~~~

We have headed to the big screen with a much anticipated fullscreen mode, in
part made possible by the ever-improving libadwaita.

A big focus this cycle has been error handling, to which end we now better
report errors to the user, complete with debug information for bug reports, 
and there also — helped by much expanded unit testing — should be far fewer
opportunities for things going awry in the first place.

This has also let to some improvements across Adwaita, Gtk, and GLib.

Thanks again to Alice Mikhaylenko, Anders Jonsson, Daniel Rusek,
Jordan Petridis, and Robert Kirkman, who all contributed to this release.

New Translations
 * Azerbaijani  (Ramal Rəhimov)
 * Uzbek (Latin)  (Baxrom Raxmatov)

Updated Translations
 * Belarusian  (Vasil Pupkin)
 * Brazilian Portuguese  (Rafael Fontenelle)
 * Catalan  (Jordi Mas)
 * Czech  (Daniel Rusek)
 * Galician  (Fran Diéguez)
 * Hebrew  (Yaron Shahrabani)
 * Italian  (Davide Ferracin)
 * Japanese  (Seiji Iizuka)
 * Persian  (Danial Behzadi)
 * Polish  (Piotr Drąg)
 * Romanian  (Antonio Marin)
 * Russian  (Artur S0)
 * Slovak  (Peter Mráz)
 * Slovenian  (Martin)
 * Turkish  (Emin Tufan Çetin)
 * Ukrainian  (Yuri Chornoivan)
 * Vietnamese  (Cas Pascal)

Version 48.0
~~~~~~~~~~~~

Updated Translations
 * Punjabi  (A S Alam)

Version 48.rc
~~~~~~~~~~~~~

We have kept up with some changes in Adwaita, modernised some of our metadata,
and continued chasing those bugs and filing the rough edges.

New Translations
 * Arabic  (Ali Galal)
 * Thai  (Aefgh Threenine)

Updated Translations
 * Basque  (Asier Saratsua Garmendia)
 * Brazilian Portuguese  (Juliano de Souza Camargo)
 * British English  (Andi Chandler)
 * Dutch  (Nathan Follens)
 * Finnish  (Jiri Grönroos)
 * French  (Alexandre Franke, Irénée THIRION)
 * Friulian  (Fabio Tomat)
 * German  (Florian Heiser)
 * Hindi  (Scrambled 777)
 * Indonesian  (Andika Triwidada)
 * Latvian  (Rūdolfs Mazurs)
 * Lithuanian  (Aurimas Černius)
 * Nepali  (Pawan Chitrakar)
 * Norwegian Bokmål  (Brage Fuglseth)
 * Occitan  (Quentin PAGÈS)
 * Romanian  (Florentina Mușat)
 * Serbian  (Марко Костић)
 * Spanish  (Daniel Mustieles)
 * Turkish  (Sabri Ünal)

Version 47.0
~~~~~~~~~~~~

A edge case in drag-and-drop has been resolved, and Aleksandr Melman fixed a
string that hadn't been marked for translation.

Updated Translations
 * Belarusian  (Vasil Pupkin)
 * British English  (Andi Chandler)
 * Bulgarian  (Alexander Shopov)
 * Catalan  (Jordi Mas i Hernandez)
 * Chinese (China)  (Luming Zh)
 * Czech  (Daniel Rusek)
 * Danish  (Ask Hjorth Larsen)
 * Galician  (Fran Dieguez)
 * Georgian  (Ekaterine Papava)
 * Greek  (Efstathios Iosifidis)
 * Hebrew  (Yaron Shahrabani)
 * Hungarian  (Balázs Úr)
 * Indonesian  (Andika Triwidada)
 * Lithuanian  (Aurimas Černius)
 * Norwegian Bokmål  (Brage Fuglseth)
 * Persian  (Danial Behzadi)
 * Polish  (Piotr Drąg)
 * Portuguese  (Hugo Carvalho)
 * Russian  (Artur S0)
 * Slovak  (Jose Riha)
 * Slovenian  (Martin)
 * Spanish  (Daniel Mustieles)
 * Swedish  (Anders Jonsson)
 * Ukrainian  (Yuri Chornoivan)

Version 47.rc
~~~~~~~~~~~~~~~

Thanks to feedback from beta users, a couple small improvements were made.

Updated Translations
 * Basque  (Asier Sarasua Garmendia)
 * Belarusian  (Vasil Pupkin)
 * Brazilian Portuguese  (Juliano de Souza Camargo)
 * Bulgarian  (Alexander Shopov)
 * Catalan  (poc senderi)
 * Chinese (China)  (Luming Zh)
 * Czech  (Daniel Rusek)
 * Finnish  (Jiri Grönroos)
 * Georgian  (Ekaterine Papava)
 * German  (Jürgen Benvenuti)
 * Hindi  (Scrambled 777)
 * Hungarian  (Balázs Úr)
 * Kazakh  (Baurzhan Muftakhidinov)
 * Korean  (DaeHyun Sung)
 * Norwegian Bokmål  (Brage Fuglseth)
 * Occitan  (Quentin PAGÈS)
 * Persian  (Danial Behzadi)
 * Portuguese  (Hugo Carvalho)
 * Romanian  (Daniel Șerbănescu, Florentina Mușat)
 * Russian  (Artur S0)
 * Turkish  (Emin Tufan Çetin, Sabri Ünal)
 * Ukrainian  (Yuri Chornoivan)


Version 47.beta
~~~~~~~~~~~~~~~

The preferences dialogue has been expanded to include scrollback size, and
there has been behind the scenes work fixing some pesky issues and setting
up future improvements.

Thanks to work elsewhere in the stack, we now have restored screen reader
support. This has taken far too long, and there is more work do be done, but
hopefully this is a significant step forward.

Additionally Alice reworked our styles to take advantage of improvements in
Gtk, whilst Chris helped us keep current with developments in Adwaita, and
Balló György provided some fixes.

Updated Translations
 * Brazilian Portuguese  (Juliano de Souza Camargo)
 * Greek  (Efstathios Iosifidis)
 * Hebrew  (Yosef Or Boczko)
 * Hindi  (Guntupalli Karunakar, Scrambled 777)
 * Kabyle  (Rachida SACI)
 * Nepali  (Pawan Chitrakar)
 * Occitan  (Quentin PAGÈS)
 * Portuguese  (Hugo Carvalho)
 * Romanian  (Daniel Șerbănescu)
 * Serbian  (Dušan Simić)
 * Serbian (Latin)  (Милош Поповић)
 * Slovak  (Matej Mrenica)
 * Slovenian  (Martin)
 * Turkish  (Sabri Ünal)

Version 46.0
~~~~~~~~~~~~

Updated Translations
 * Danish  (Ask Hjorth Larsen)
 * Kabyle  (Athmane MOKRAOUI, Rachida SACI)
 * Korean  (Seong-ho Cho)
 * Occitan  (Quentin PAGÈS)
 * Punjabi  (A S Alam)

Version 46.rc
~~~~~~~~~~~~~

Various of our dialogues have been reworked to improve correctness, including
how they handle especially long strings.

When restoring window dimensions we now remember if the window was maximised
or not, windows also now avoid the ‘duplicated effect’ seen with certain
shell setups.

We continue to take advantage of newer Vte features wherever appropriate.

Thanks to Christian Hergert, Colin Kinlochm, and Ole Bertram for the patches
they contributed to this release.

Updated Translations
 * Basque  (Asier Sarasua Garmendia)
 * Belarusian  (Vasil Pupkin)
 * Brazilian Portuguese  (Rafael Fontenelle)
 * British English  (Andi Chandler, Bruce Cowan)
 * Bulgarian  (Alexander Shopov)
 * Catalan  (Jordi Mas i Hernandez)
 * Chinese (China)  (Luming Zh)
 * Chinese (Taiwan)  (Cheng-Chia Tseng)
 * Czech  (Daniel Rusek)
 * Dutch  (Nathan Follens)
 * Finnish  (Jiri Grönroos)
 * French  (Irénée THIRION)
 * Friulian  (Fabio Tomat)
 * Galician  (Fran Dieguez)
 * Georgian  (Ekaterine Papava)
 * German  (Gabriel Brand, Jürgen Benvenuti)
 * Greek  (Efstathios Iosifidis)
 * Hebrew  (Yosef Or Boczko)
 * Hungarian  (Balázs Úr)
 * Indonesian  (Kukuh Syafaat)
 * Kazakh  (Baurzhan Muftakhidinov)
 * Latvian  (Rūdolfs Mazurs)
 * Lithuanian  (Aurimas Černius)
 * Norwegian Bokmål  (Brage Fuglseth)
 * Persian  (Danial Behzadi)
 * Portuguese  (Hugo Carvalho)
 * Romanian  (Florentina Mușat)
 * Russian  (Artur S0)
 * Slovenian  (Matej Urbančič)
 * Spanish  (Daniel Mustieles)
 * Swedish  (Anders Jonsson)
 * Turkish  (Sabri Ünal)
 * Ukrainian  (Yuri Chornoivan)

Version 45.0
~~~~~~~~~~~~

Thanks to feedback from beta users we've been able to iron out a few issues,
and translation teams have been hard at work keeping us localised

Updated Translations
 * Belarusian  (Vasil Pupkin)
 * Catalan  (Jordi Mas)
 * Chinese (China)  (Luming Zh)
 * Czech  (Daniel Rusek)
 * Danish  (Ask Hjorth Larsen)
 * Dutch  (Nathan Follens)
 * Esperanto  (Kristjan SCHMIDT)
 * Finnish  (Jiri Grönroos)
 * French  (Jean-Marc Tissières)
 * Galician  (Fran Dieguez)
 * Georgian  (Ekaterine Papava)
 * German  (Philipp Kiemle)
 * Hebrew  (Yosef Or Boczko)
 * Hungarian  (Balázs Úr)
 * Indonesian  (Kukuh Syafaat)
 * Kazakh  (Baurzhan Muftakhidinov)
 * Korean  (DaeHyun Sung)
 * Lithuanian  (Aurimas Černius)
 * Polish  (Piotr Drąg)
 * Portuguese  (Hugo Carvalho)
 * Punjabi  (A S Alam, Amn Alam)
 * Romanian  (Florentina Musat)
 * Russian  (Artur So)
 * Slovenian  (Matej Urbančič)
 * Spanish  (Daniel Mustieles)
 * Swedish  (Anders Jonsson)
 * Turkish  (Sabri Ünal)

Version 45.beta
~~~~~~~~~~~~~~~

We now have a preferences window, based on initial work by Maximiliano, for
setting a custom font and altering bell behaviour.

Some bugs in notifications, drag'n'drop, and assorted visual glitches were
resolved. Detaching/closing tabs had some minor correctness issues that have
now been mitigated, and tabs always have a label in switchers.

Once again Alice & Chris helped us keep up with changes in Adwaita and Gtk.

Thanks to Jacob Duba you can now zoom with Ctrl-Scroll, and Martin Nowak
improved keyboard shortcuts for managing tabs.

Stuart added telnet as a ‘remote’ type, with Sebastian Wiesner, Jonas Ådahl,
and Automeris, also providing patches in this release.

Updated Translations
 * Basque  (Asier Sarasua Garmendia)
 * British English  (Bruce Cowan)
 * Persian  (Danial Behzadi)
 * Georgian  (Ekaterine Papava)
 * German  (Florian Heiser)
 * Italian  (Gianvito Cavasoli)
 * Brazilian Portuguese  (Gustavo Costa)
 * Dutch  (Nathan Follens)
 * Latvian  (Rūdolfs Mazurs)
 * Ukrainian  (Yuri Chornoivan)

Version 44.0
~~~~~~~~~~~~

Updated Translations
 * Russian  (Aleksandr Melman)
 * Bulgarian  (Alexander Shopov)
 * Swedish  (Anders Jonsson)
 * Basque  (Asier Sarasua Garmendia)
 * Danish  (Ask Hjorth Larsen)
 * Lithuanian  (Aurimas Černius)
 * Hungarian  (Balázs Úr)
 * Chinese (China)  (Boyuan Yang)
 * Korean  (DaeHyun Sung)
 * Spanish  (Daniel)
 * Greek  (Efstathios Iosifidis)
 * Friulian  (Fabio Tomat)
 * Galician  (Fran Dieguez)
 * Hindi  (Hemish)
 * Portuguese  (Hugo Carvalho)
 * French  (Irénée THIRION)
 * Finnish  (Jiri Grönroos)
 * German  (Jürgen Benvenuti)
 * Czech  (Marek Černocký)
 * Slovenian  (Matej Urbančič)
 * Persian  (MohammadSaleh Kamyab)
 * Polish  (Piotr Drąg)
 * Occitan  (Quentin PAGÈS)
 * Catalan  (Quique Serrano)
 * Turkish  (Sabri Ünal)

Version 44.beta
~~~~~~~~~~~~~~~

Alexander Mikhaylenko kept us up to date with libadwaita changes, including
the new tab overview that replaces the existing mobile switcher, and
supplements the tab bar.

Cleanups for ‘Find’ were provided by Daniel Christodoulopoulos and
‘sunflowerskater’, whilst Michel Dänzer and Tomasz Torcz expanded the
scenarios considered to be ‘remote’ to include mosh and waypipe.

Other assorted fixes were provided by Hari Rana, Jordan Petridis,
Mazhar Hussain, and Sergio Costas Rodriguez.

Updated Translations:
 * Belarusian  (Vasil Pupkin)
 * Friulian  (Fabio Tomat)
 * Galician  (Fran Dieguez)
 * Georgian  (Ekaterine Papava)
 * German  (Jürgen Benvenuti)
 * Hebrew  (Yosef Or Boczko)
 * Hindi  (Hemish)
 * Indonesian  (Kukuh Syafaat)
 * Interlingue  (Olga Smirnova)
 * Portuguese  (Hugo Carvalho)
 * Slovak  (Dušan Kazik)
 * Turkish  (Emin Tufan Çetin)
 * Ukrainian  (Yuri Chornoivan)

Version 43.0
~~~~~~~~~~~~

Updated Translations:
 * Brazilian Portuguese  (Leônidas Araújo)
 * Bulgarian  (Alexander Shopov)
 * Chinese (Taiwan)  (Cheng-Chia Tseng)
 * Czech  (Marek Černocký)
 * Georgian  (Zurab Kargareteli)
 * German  (Christian Kirbach)
 * Greek  (Efstathios Iosifidis)
 * Kazakh  (Baurzhan Muftakhidinov)
 * Korean  (DaeHyun Sung)
 * Latvian  (Rūdolfs Mazurs)
 * Lithuanian  (Aurimas Černius)
 * Nepali  (Pawan Chitrakar)
 * Russian  (Aleksandr Melman)
 * Slovenian  (Matej Urbančič)
 * Swedish  (Luna Jernberg)
 * Turkish  (Sabri Ünal)

Version 43.rc
~~~~~~~~~~~~

Take advantage of some newer GLib/GObject features, with a corresponding 
dependency bump, to simplify some code.

Thanks to Maximiliano we now store the size of the last window, and use it
for future windows rather than unconditionally using 80×24.

A bug in 43.beta where ‘Show in Files’ was mistakenly unavailable has been
fixed, as well as a longstanding edge case when a background tab closes.

Updated Translations:
 * Catalan  (Jordi Mas)
 * Chinese (China)  (Luming Zh)
 * Croatian  (Goran Vidović)
 * Danish  (Ask Hjorth Larsen)
 * Dutch  (Nathan Follens)
 * French  (Irénée THIRION)
 * Galician  (Fran Dieguez)
 * Hebrew  (Yosef Or Boczko)
 * Hungarian  (Balázs Úr)
 * Indonesian  (Kukuh Syafaat)
 * Occitan  (Quentin PAGÈS)
 * Polish  (Piotr Drąg)
 * Spanish  (Daniel Mustieles)
 * Turkish  (Emin Tufan Çetin)

Version 43.beta
~~~~~~~~~~~~

Port to Gtk4/Adwaita, taking advantage of Adwaita's recolouring
features and thus removing our dependency on sassc. We now
require that Vte is be built with gtk4 support.

Nautilus Plug-in has been moved upstream.

Simon McVittie improved our handeling of custom shells/commands,
fixing several bugs and providing a more predictable experience.

Colin Kinloch provided fixes for drag-n-drop, with local URIs now
being converted to regular fileystem paths.

Assorted other fixes were contributed, including detection of man
page links, keyboard shortcuts, clipboard oddities, building with
clang, and assorted ancillary data updates.

Updated Translations:
 * Abkhazian  (Nart Tlisha)
 * Basque  (Asier Sarasua Garmendia)
 * Catalan  (Jordi Mas)
 * Chinese (China)  (Luming Zh)
 * Dutch  (Hannie Dumoleyn)
 * French  (Irénée THIRION)
 * Galician  (Fran Dieguez)
 * Georgian  (Zurab Kargareteli)
 * German  (Jürgen Benvenuti)
 * Hebrew  (Yosef Or Boczko)
 * Indonesian  (Kukuh Syafaat)
 * Nepali  (Pawan Chitrakar)
 * Persian  (Danial Behzadi)
 * Portuguese  (Hugo Carvalho)
 * Russian  (Aleksandr Melman)
 * Serbian  (Марко Костић)
 * Spanish  (Daniel Mustieles)
 * Turkish  (Emin Tufan Çetin)
 * Ukrainian  (Yuri Chornoivan)
 * Vietnamese  (Ngọc Quân Trần)

Version 42.2
~~~~~~~~~~~~

 * Fix GCC warning
 * Check for pcre2 during configure

Version 42.1
~~~~~~~~~~~~

 * Fixed release notes in metainfo

Version 42.0
~~~~~~~~~~~~

 * Drop unneeded custom RPATH
 * Translation updates:
   * Bulgarian
   * Catalan
   * Croatian
   * Czech
   * Danish
   * Dutch
   * Finnish
   * French
   * Friulian
   * German
   * Hungarian
   * Indonesian
   * Italian
   * Japanese
   * Kazakh
   * Korean
   * Lithuanian
   * Nepali
   * Norwegian Bokmål
   * Occitan
   * Persian
   * Punjabi
   * Serbian
   * Slovak
   * Slovenian
   * Vietnamese

Version 42.beta
~~~~~~~~~~~~~~~
Released: 2022-02-14

KGX now goes by Console and we have restored the legendary ‘Day’ mode

Also in this release:
 * 👓 Much better High Contrast support
 * 🔬 Increased Zoom range
 * 📋 Paste is now less pernickety
 * 🩹 Fixed a couple leaks and assorted issues

GNOME l10n Teams have updated translations:
 * Basque
 * Chinese (China)
 * Finnish
 * Galician
 * Hebrew
 * Polish
 * Portuguese
 * Portuguese (Brazil)
 * Russian
 * Slovenian
 * Spanish
 * Swedish
 * Turkish
 * Ukrainian

Version 0.4.0
~~~~~~~~~~~~~
Released: 2021-10-24

More Terminals! KGX can now host multiple sessions per window with nifty tabs on larger screens and
a neat list for those on the narrower side

Also in this release:
 * 🎨 Shiny new — yet familiar — icon
 * 📜 More scrollback
 * 🔗 Mouse users can ctrl-click links
 * 🗄️ Handy little Files (Nautilus) extension to launch KGX in a folder
 * 🤦‍♀️ Assorted bugs have been wrangled and scrolling behaviour (especially on touch) has been
   improved
 * 💬 GNOME l10n teams have added many more translations
 * 🪛 Adventurous users can set a custom shell (such as fish) and tweak the scrollback size

Version 0.2.1
~~~~~~~~~~~~~
Released: 2019-10-06

Use HdySearchBar to match the behaviour in other apps.

Improved generic banding (no weird symbols in about dialog).

Translation updates from the wonderful d-l team (except en_GB, that translator seems to have
dropped the ball....).

Version 0.2.0
~~~~~~~~~~~~~
Released: 2019-09-15

Impoved tracking of running commands reducing resource usage, especially when running in the
background.

Command complete notifications and query close when commands are still running.

Translations for de, en_GB, es, fi, hu, pl & pt_BR from various users on l10n.gnome.org (thanks
guys!).

Version 0.1.0
~~~~~~~~~~~~~
Released: 2019-07-30

The first release of our little terminal emulator with basic functionality.
